/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing HandleDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class HandleDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for HandleDto
        //private HandleDto instance;

        public HandleDtoTests()
        {
            // TODO uncomment below to create an instance of HandleDto
            //instance = new HandleDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of HandleDto
        /// </summary>
        [Fact]
        public void HandleDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" HandleDto
            //Assert.IsType<HandleDto>(instance);
        }

        /// <summary>
        /// Test the property 'Pid'
        /// </summary>
        [Fact]
        public void PidTest()
        {
            // TODO unit test for the property 'Pid'
        }

        /// <summary>
        /// Test the property 'Values'
        /// </summary>
        [Fact]
        public void ValuesTest()
        {
            // TODO unit test for the property 'Values'
        }
    }
}
